package com;

import java.util.HashMap;
import java.util.Map;

/**
 * Эталонные картинки.
 */
final class OriginalMap {
    private final Map<String, String> originalMap = new HashMap<>();

    public Map<String, String> getOriginalMap() {
        return originalMap;
    }

    public OriginalMap() {
        originalMap.put("2", "          ***                    **********                ************              **************            ****************           ******    ******           *****     ******             **       *****                      *****                     ******                    *******                    ******                   *******                   ********                  *******                   *******                   *******                   ******                   *******                   *****************          *****************          *****************          *****************          *****************                                                                                         ");
        originalMap.put("3", "                               ****************           ****************           ****************           ***************                    ******                    ******                    ******                    ******                    ******                    *********                  **********                  **********                 ***********                      ******                     ******            *         *****           ***       ******          ******    *******          ****************            **************             **************               ***********                  *******                                                                                             ");
        originalMap.put("4", "                                        ******                    *******                    *******                   ********                  *********                 **********                ***********               ************               ***** ******              *****  ******             ******  ******            ******   ******           ******    ******          ********************       ********************       ********************        *******************                  ******                     ******                     ******                     ******                     ******                      ****                                                                                          ");
        originalMap.put("5", "                                **************             **************             **************             **************             ****                       ****                      *****                      *****  *                   ************               **************             **************              **************              **     *******                     ******                      *****                      *****           ***       ******           *****    *******          ****************           ***************             **************              ************                  *******                                                                                             ");
        originalMap.put("6", "            ***                     *********                *************             **************             **************            ******    ****             *****       **            ******                     *****   **                 **************             ***************            ****************           *****************          ******     ******          *****       *****          *****       *****          *****       *****          *****       *****           *****     ******           ***************             **************             *************               ***********                  *******                                                                                            ");
        originalMap.put("7", "                               ****************           ****************           ****************           ****************                     ******                     *****                     ******                    ******                     *****                     ******                     *****                     ******                     *****                     ******                     *****                     ******                     *****                     ******                     *****                     ******                     *****                     ******                     *****                                                                                                  ");
        originalMap.put("8", "          ***                     *********                *************              *************             ***************            *****     ******          *****       *****           ****       *****           *****     ******           ******   ******             *************               ***********               *************             ****************          ******     ******          *****       ******         *****       ******         *****       ******         ******     *******         *****************           ***************             *************               ***********                  *******                                                                                             ");
        originalMap.put("9", "          ***                     *********                *************             ***************            ***************           ******     ******          *****       *****          *****       *****          *****       ******         *****       ******         ******     *******         ******************          *****************           ****************            ***************              *****  *****                      *****            **       ******           ****     ******            ***************           ***************             *************               ***********                  *******                                                                                              ");
        originalMap.put("10", "  ******      *********    ********    ************   ********   **************  ********   *************** ********  *******   ********  ***** ******      ******   ***** *****        *****   ***** *****         ****   ***********         ****   **********          ****   **********          ****   **********          ****   **********          ****   ***********         ****   ***** *****         ****   ***** *****        *****   ***** ******       *****   *****  ******     ******   *****  ****************    *****   ***************    *****    *************     *****     ***********      *****       *******                                                                                                                 ");
        originalMap.put("J", "                                        *****                      *****                      *****                      *****                      *****                      *****                      *****                      *****                      *****                      *****                      *****                      *****                      *****                      *****                      *****                     ******             ***     *****             *****   ******             **************             *************               ************                **********                   ******                                                                                               ");
        originalMap.put("Q", "              ***                    ***********              **************            *****************         *******************        *******     ********      ******        *******     ******          *******    ******           ******    *****             *****    *****             *****    *****             *****    *****        **   *****    *****       ****  *****    *****      ****** *****    ******     ************    ******      ***********     ******      *********      ********     ********       *********************       ********************        *******************         ************  ****            *******     **                                                                                  ");
        originalMap.put("K", "                              *****         ******       *****        ******        *****       ******         *****      ******          *****     ******           *****    ******            *****   ******             *****  ******              ***** ******               ***********                ************               *************              *************              ******* ******             ******   ******            *****     ******           *****     ******           *****      ******          *****       ******         *****        ******        *****        ******        *****         ******       ****          ******                                                                                     ");
        originalMap.put("A", "                                    ****                      *****                      ******                    *******                    ********                  *********                  **********                ***********                ***** *****                *****  *****              *****   *****              *****    *****            *****     *****            ****************          *****************          ******************         ******************        ********************       *****          *****      *****           ******     *****           ******     *****            *****     ****             ******                                                                                     ");
        // Трефы
        originalMap.put("с", "                                                                                   ***                    ******                 *******                 *******                 *******                 *******               ***********            *************           **************          **************          **************          *************            ************                ****                   ******                 *******                                                                                                                                ");
        // Бубны
        originalMap.put("d", "                                                                                  ***                    *****                  ******                 ********               **********             ************           **************          **************           ************             ***********              *********                *******                  *****                    ***                     **                                                                                                                                                            ");
        // Червы
        originalMap.put("h", "                                                                                                                              *****  ****            *************           **************         ***************         ***************         ***************          **************          *************            ***********              *********                *******                  *****                    ***                      *                                                                                                                                    ");
        // Пики
        originalMap.put("s", "                                                                                    *                      ***                    *****                  *******                *********              ***********            *************          ***************         ***************         ***************         ***************         ***************          *************             ** *** ***               *******                 *******                                                                                                                                ");
    }
}
